function changeSlider() {
    if (enabled) {
        // the button is enabled
        if (over) {
            // the pointer is over the geometry
            if (active) {
                slideBarAppearance_changed = slideBarActiveOverAppearance;
                slideBarGeometry_changed   = slideBarActiveOverGeometry;
                markerAppearance_changed = markerActiveOverAppearance;
                markerGeometry_changed  = markerActiveOverGeometry;
            } else {
                slideBarAppearance_changed = slideBarOverAppearance;
                slideBarGeometry_changed   = slideBarOverGeometry;
                markerAppearance_changed = markerOverAppearance;
                markerGeometry_changed  = markerOverGeometry;
            }
        } else if (active) {
            slideBarAppearance_changed = slideBarActiveAppearance;
            slideBarGeometry_changed   = slideBarActiveGeometry;
            markerAppearance_changed = markerActiveAppearance;
            markerGeometry_changed  = markerActiveGeometry;
        } else {
            // the pointer is not over the geometry
            slideBarAppearance_changed = slideBarAppearance;
            slideBarGeometry_changed   = slideBarGeometry;
            markerAppearance_changed = markerAppearance;
            markerGeometry_changed  = markerGeometry;
        }
    } else {
        // the button is disabled
        slideBarAppearance_changed = slideBarDisabledAppearance;
        slideBarGeometry_changed   = slideBarDisabledGeometry;
        markerAppearance_changed = markerDisabledAppearance;
        markerGeometry_changed  = markerDisabledGeometry;
    }
}
function initialize() {
    changeSlider();
}
function set_enabled(value) {
    enabled = value;
    changeSlider();
}
function set_active(value) {
    active = value;
    changeSlider();
}
function set_over(value) {
    if (value != over) {
        over = value;
        changeSlider();
    }
}
